async function fetchSensorData() {
    try {
      const response = await fetch('htu21d.json');
      const data = await response.json();
      document.getElementById('temp').textContent = data.temperature;
      document.getElementById('hum').textContent = data.humidity;
      console.log('Data updated');
    } catch (err) {
      console.error('Failed to load sensor data:', err);
    }
  }
  
  // Load on page load
  fetchSensorData();
  
  // Refresh button
  document.getElementById('refresh').addEventListener('click', fetchSensorData);